Retrieve all status pages.
curl --request GET \
--url https://api.checklyhq.com/v1/status-pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.checklyhq.com/v1/status-pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.checklyhq.com/v1/status-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"length": 123,
"entries": [
{
"name": "<string>",
"url": "<string>",
"id": "<string>",
"accountId": "<string>",
"created_at": "2023-12-25",
"description": "<string>",
"customDomain": "<string>",
"themeColors": {
"light": {
"bodyBackgroundColor": "<string>",
"headerBackgroundColor": "<string>",
"headerFontColor": "<string>",
"titleFontColor": "<string>",
"bodyFontColor": "<string>",
"bodyFontColorMuted": "<string>",
"navigationFontColor": "<string>",
"linkFontColor": "<string>",
"cardBackgroundColor": "<string>",
"borderColor": "<string>",
"primaryButtonBackgroundColor": "<string>",
"primaryButtonFontColor": "<string>"
},
"dark": {
"bodyBackgroundColor": "<string>",
"headerBackgroundColor": "<string>",
"headerFontColor": "<string>",
"titleFontColor": "<string>",
"bodyFontColor": "<string>",
"bodyFontColorMuted": "<string>",
"navigationFontColor": "<string>",
"linkFontColor": "<string>",
"cardBackgroundColor": "<string>",
"borderColor": "<string>",
"primaryButtonBackgroundColor": "<string>",
"primaryButtonFontColor": "<string>"
}
},
"logo": "<string>",
"logoDark": "<string>",
"redirectTo": "<string>",
"favicon": "<string>",
"defaultTheme": "AUTO",
"cards": [
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-12-25",
"services": [
{
"name": "<string>",
"id": "<string>",
"accountId": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}
],
"updated_at": "2023-12-25"
}
],
"version": 123,
"updated_at": "2023-12-25",
"incidents": [
{
"name": "<string>",
"id": "<string>",
"services": [
{
"name": "<string>",
"id": "<string>",
"accountId": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}
],
"created_at": "2023-12-25",
"incidentUpdates": [
{
"description": "<string>",
"id": "<string>",
"created_at": "2023-12-25",
"publicIncidentUpdateDate": "2026-08-14T02:58:42.630Z",
"notifySubscribers": false
}
],
"duration": 123,
"updated_at": "2023-12-25"
}
],
"isPrivate": false,
"keys": [
{
"id": "<string>",
"maskedKey": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}
],
"projectBindings": {
"owner": {
"project": {
"id": "<string>",
"logicalId": "<string>",
"name": "<string>"
},
"binding": {
"logicalId": "homepage-check",
"pending": true
}
},
"references": [
{
"project": {
"id": "<string>",
"logicalId": "<string>",
"name": "<string>"
},
"binding": {
"logicalId": "homepage-check",
"pending": true
}
}
]
}
}
],
"nextId": "<string>"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}Status Pages
Retrieve all status pages.
Get all status pages for an account.
GET
/
v1
/
status-pages
Retrieve all status pages.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Was this page helpful?
⌘I